osmium::bzip2_error Struct Reference

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::bzip2_error:
[legend]
Collaboration diagram for osmium::bzip2_error:
[legend]

## Public Member Functions

| bzip2_error (const std::string &what, int error_code)
Public Member Functions inherited from osmium::io_error
| io_error (const std::string &what)
| io_error (const char *what)

## Public Attributes

int | bzip2_error_code
int | system_errno

## Detailed Description

Exception thrown when there are problems compressing or decompressing bzip2 files.

## Constructor & Destructor Documentation

osmium::bzip2_error::bzip2_error | ( | const std::string & | what,
|  | int | error_code
| ) |  |

inline

## Member Data Documentation

int osmium::bzip2_error::bzip2_error_code

int osmium::bzip2_error::system_errno

The documentation for this struct was generated from the following file:

- osmium/io/bzip2_compression.hpp